VarunSH

Quickstart

Make your first request in three steps.

1. Create an API key

Sign in, open API Keys, and create a key. Copy it immediately — the secret is shown only once.

2. Set it as an environment variable

bash
export VARUNSH_API_KEY="sk-vsh_your_key_here"

3. Make a request

bash
curl https://api-gw.aimasteryedu.in/v1/chat/completions \
  -H "Authorization: Bearer $VARUNSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "varunsh/atlas-mini",
    "messages": [
      { "role": "user", "content": "Hello!" }
    ]
  }'

Python (OpenAI SDK)

python
from openai import OpenAI

client = OpenAI(
    base_url="https://api-gw.aimasteryedu.in/v1",
    api_key="YOUR_API_KEY",
)

resp = client.chat.completions.create(
    model="varunsh/atlas-mini",
    messages=[{"role": "user", "content": "Hello!"}],
)
print(resp.choices[0].message.content)

Streaming

python
stream = client.chat.completions.create(
    model="varunsh/atlas-mini",
    messages=[{"role": "user", "content": "Count to five."}],
    stream=True,
)
for chunk in stream:
    print(chunk.choices[0].delta.content or "", end="")